Subject: [6lo] draft-thubert-6lo-rfc6775-update-reqs-01

From: peter van der Stok <[email-masked]>
Date: Thu, 10 Jul 2014 10:54:29 +0200

Hi Pascal,

I read your draft with much interest.
Also outside Industrial Internet there is a wish to have access to a 
standardized routing protocol during the neighbour discovery execution.
I noticed that your draft is rather RPL oriented. Not all companies 
provide RPL in their stack, and it would be interesting to make your 
draft more RPL independent and include other routing protocols as well.
Are you ready to change your draft in that direction?

Greetings,

peter

-- 
Peter van der Stok
mailto: [email-masked]
www: www.vanderstok.org
tel NL: +31(0)492474673     F: +33(0)966015248

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Thu, 10 Jul 2014 13:10:06 +0000

Certainly Peter; 

Though I'd be glad to invite others with a different twist to help.  

I'll note that most of the changes I'm suggesting are not specific to RPL, and the problem is not limited to RPL either.

A critical info for RPL is the TID that must be set by the client, and most DV protocols in the MANET space will have a similar sequence number so as to support movement and eliminate stale routes. 

The RPL instance ID is an option, that may be omitted if the routing protocol does not support multiple instances. 

Though my original intention was a one shot draft, maybe it would make sense for the group to make it more general and then publish in order to justify a 6775bis.

What do you think?

Pascal

> -----Original Message-----
> From: 6lo [mailto:[email-masked]] On Behalf Of peter van der Stok
> Sent: jeudi 10 juillet 2014 10:54
> To: [email-masked]
> Subject: [6lo] draft-thubert-6lo-rfc6775-update-reqs-01
> 
> Hi Pascal,
> 
> I noticed that your draft is rather RPL oriented. Not all companies provide
> RPL in their stack, and it would be interesting to make your draft more RPL
> independent and include other routing protocols as well.
> _______________________________________________
> 6lo mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/6lo

---

From: peter van der Stok <[email-masked]>
Date: Fri, 11 Jul 2014 11:23:30 +0200

Hi Pascal,

I would be pleased to help and participate.
In the coming 2-3 weeks I will look at the draft, change text and send 
it you.
Afterwards we can decide how to continue,

Greetings,

Peter

Pascal Thubert (pthubert) schreef op 2014-07-10 15:10:
> I'll note that most of the changes I'm suggesting are not specific to
> RPL, and the problem is not limited to RPL either.
> 
> A critical info for RPL is the TID that must be set by the client, and
> most DV protocols in the MANET space will have a similar sequence
> number so as to support movement and eliminate stale routes.
> 
> The RPL instance ID is an option, that may be omitted if the routing
> protocol does not support multiple instances.
> 
> Though my original intention was a one shot draft, maybe it would make
> sense for the group to make it more general and then publish in order
> to justify a 6775bis.
> 
> What do you think?
> 
> Pascal
> 
> 
>> provide

---

From: Samita Chakrabarti <[email-masked]>
Date: Tue, 15 Jul 2014 01:40:44 +0000

Hi Pascal,

Since you started the draft, it'd be good to collect general requirement for rfc6775bis.
RPL is one of the requirements in this case.

Thanks,
-Samita

-----Original Message-----
From: 6lo [mailto:[email-masked]] On Behalf Of Pascal Thubert (pthubert)
Sent: Thursday, July 10, 2014 6:10 AM
To: [email-masked]; [email-masked]
Subject: Re: [6lo] draft-thubert-6lo-rfc6775-update-reqs-01

Certainly Peter; 

What do you think?

Pascal

---

From: Carsten Bormann <[email-masked]>
Date: Tue, 15 Jul 2014 17:54:22 +0200

> RPL is one of the requirements in this case.

ND is (predominantly) a host-router protocol.
RPL is a routing protocol.
I don’t understand how RPL can be a “requirement” for an ND update.

Grüße, Carsten

---

From: Samita Chakrabarti <[email-masked]>
Date: Wed, 16 Jul 2014 02:53:00 +0000

Hi Carsten,

Perhaps my usage of "RPL" wording is not a correct choice of word.
Though RFC6775 is primarily a host-router protocol,   it can interact with a routing protocol while bootstrapping [ section 10.3].

If we expand our host-router views a little bit and look at movement(join,leave etc.) between two IOT networks (real deployments) then TID bit is necessary in the ND - as we realize after working on the efficient-nd.

Also, I believe RPL network uses ND for address autoconfiguration at the startup to separate the addressing and routing behavior and thus it depends on 6lowpan-nd.

Regards,
-Samita

-----Original Message-----
From: Carsten Bormann [mailto:[email-masked]] 
Sent: Tuesday, July 15, 2014 8:54 AM
To: Samita Chakrabarti
Cc: Pascal Thubert (pthubert); [email-masked]; [email-masked]
Subject: Re: [6lo] draft-thubert-6lo-rfc6775-update-reqs-01

ND is (predominantly) a host-router protocol.
RPL is a routing protocol.
I don't understand how RPL can be a "requirement" for an ND update.

Grüße, Carsten